<!DOCTYPE html>
<html lang="es">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="style.css">
  <title>Ejercicio HTML 1</title>
</head>

<body>
  <form method="GET" action="">
    <fieldset>
      <legend>Datos Personales</legend>

      <p>
        <label for="name">Nombre completo:</label>
        <input type="text" id="name" name="Nombre" required autofocus>
      </p>

      <p>
        <label for="mail">Correo electronico:</label>
        <input type="email" id="mail" name="Correo" required >
      </p>

      <p>
        <label for="url">Página Web:</label>
        <input type="url" id="url" name="URL" placeholder="URL de tu página web personal">
      </p>

      <p>
        <label for="date">Fecha de nacimiento:</label>
        <input type="date" id="date" name="Fecha">
      </p>
    </fieldset>
    <fieldset>
      <legend>Datos de fecha y hora</legend>
      <p>
        <label for="time">hora:</label>
        <input type="time" id="time" name="Hora">
      </p>

      <p>
        <label for="time-date">Fecha y hora local:</label>
        <input type="datetime-local" id="time-date" name="Fecha-hora">
      </p>

      <p>
        <label for="mes">Mes actual:</label>
        <input type="month" id="mes" name="Mes">
      </p>

      <p>
        <label for="semana">Semana:</label>
        <input type="week" id="semana" name="Semana">
      </p>
    </fieldset>
    <fieldset>
      <legend>Otros datos</legend>
      <p>
        <label for="numero">Introduce un numero del -10 al 10:</label>
        <input type="number" id="numero" name="Numero" min="-10" max="10">
      </p>

      <p>
        <label for="phone">Numero de teléfono:</label>
        <input type="tel" id="phone" name="telefono" placeholder="666666666" readonly>
      </p>

      <p>
        <label for="find">Buscador:</label>
        <input type="search" id="find" name="busqueda" disabled>
      </p>

      <p>
        <label for="color">Tu color favorito:</label>
        <input type="color" id="color" name="color">
      </p>
      <button>Enviar</button>
    </fieldset>
  </form>
</body>
</html>